[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumnTitle.Create

Constructor for the class instance.

## Declaration

Source position: grids.pas line 493

`public constructor TGridColumnTitle.Create(`
`TheColumn: TGridColumn`
`); virtual;`

## Arguments

`TheColumn` |  | Column class instance where the column title is used.

## Description

Create is the virtual constructor for the class instance. Create calls the inherited constructor, allocates resources, and sets the default values for members in the class instance.

Create calls the FillTitleDefaultFont method to get the default value used in the Font property. It can contain either the font for titles in the Grid instance or the font for the Column definition; preference is given to the value in the Grid.

Create assigns the FontChanged method as the OnChange event handler for the Font property.

TheColumn contains contains the TGridColumn instance where the column title is used.

## See also

TObject.Create